Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.server
Class StructureEventImpl

    java.lang.Object
      org.biojava.bio.structure.server.StructureEventImpl

All Implemented Interfaces:
  StructureEvent

    public class StructureEventImpl

extends Object
implements StructureEvent

Constructor Summary
`StructureEventImpl(Structure s)`

Method Summary
`String` | `getPDBCode()`
`Structure` | `getStructure()`
`void` | `setPDBCode(String pdbCode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureEventImpl

    public StructureEventImpl(Structure s)

Method Detail

### getStructure

    public Structure getStructure()

  Specified by:
    `getStructure` in interface `StructureEvent`

### getPDBCode

    public String getPDBCode()

  Specified by:
    `getPDBCode` in interface `StructureEvent`

### setPDBCode

    public void setPDBCode(String pdbCode)

  Specified by:
    `setPDBCode` in interface `StructureEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD